//
//  FKFlickrFavoritesGetContext.h
//  FlickrKit
//
//  Generated by FKAPIBuilder.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrAPIMethod.h"

typedef NS_ENUM(NSInteger, FKFlickrFavoritesGetContextError) {
	FKFlickrFavoritesGetContextError_PhotoNotFound = 1,		 /* The photo id passed was not a valid photo id, or was the id of a photo that the calling user does not have permission to view. */
	FKFlickrFavoritesGetContextError_UserNotFound = 2,		 /* The specified user was not found. */
	FKFlickrFavoritesGetContextError_PhotoNotAFavorite = 3,		 /* The specified photo is not a favorite of the specified user. */
	FKFlickrFavoritesGetContextError_InvalidAPIKey = 100,		 /* The API key passed was not valid or has expired. */
	FKFlickrFavoritesGetContextError_ServiceCurrentlyUnavailable = 105,		 /* The requested service is temporarily unavailable. */
	FKFlickrFavoritesGetContextError_WriteOperationFailed = 106,		 /* The requested operation failed due to a temporary issue. */
	FKFlickrFavoritesGetContextError_FormatXXXNotFound = 111,		 /* The requested response format was not found. */
	FKFlickrFavoritesGetContextError_MethodXXXNotFound = 112,		 /* The requested method was not found. */
	FKFlickrFavoritesGetContextError_InvalidSOAPEnvelope = 114,		 /* The SOAP envelope send in the request could not be parsed. */
	FKFlickrFavoritesGetContextError_InvalidXMLRPCMethodCall = 115,		 /* The XML-RPC request document could not be parsed. */
	FKFlickrFavoritesGetContextError_BadURLFound = 116,		 /* One or more arguments contained a URL that has been used for abuse on Flickr. */

};

/*

Returns next and previous favorites for a photo in a user's favorites.

<p>See <a href="/services/api/flickr.photos.getContext.html">flickr.photos.getContext</a></p>

Response:

<rsp stat='ok'>
<count>3</count>
<prevphoto id="2980" secret="973da1e709"
	title="boo!" url="/photos/bees/2980/" /> 
<nextphoto id="2985" secret="059b664012"
	title="Amsterdam Amstel" url="/photos/bees/2985/" />
</rsp>

*/
@interface FKFlickrFavoritesGetContext : NSObject <FKFlickrAPIMethod>

/* The id of the photo to fetch the context for. */
@property (nonatomic, copy) NSString *photo_id; /* (Required) */

/* The user who counts the photo as a favorite. */
@property (nonatomic, copy) NSString *user_id; /* (Required) */


@end
