//
//  FKFlickrGroupsPoolsRemove.h
//  FlickrKit
//
//  Generated by FKAPIBuilder.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrAPIMethod.h"

typedef NS_ENUM(NSInteger, FKFlickrGroupsPoolsRemoveError) {
	FKFlickrGroupsPoolsRemoveError_GroupNotFound = 1,		 /* The group_id passed did not refer to a valid group. */
	FKFlickrGroupsPoolsRemoveError_PhotoNotInPool = 2,		 /* The photo_id passed was not a valid id of a photo in the group pool. */
	FKFlickrGroupsPoolsRemoveError_InsufficientPermissionToRemovePhoto = 3,		 /* The calling user doesn't own the photo and is not an administrator of the group, so may not remove the photo from the pool. */
	FKFlickrGroupsPoolsRemoveError_SSLIsRequired = 95,		 /* SSL is required to access the Flickr API. */
	FKFlickrGroupsPoolsRemoveError_InvalidSignature = 96,		 /* The passed signature was invalid. */
	FKFlickrGroupsPoolsRemoveError_MissingSignature = 97,		 /* The call required signing but no signature was sent. */
	FKFlickrGroupsPoolsRemoveError_LoginFailedOrInvalidAuthToken = 98,		 /* The login details or auth token passed were invalid. */
	FKFlickrGroupsPoolsRemoveError_UserNotLoggedInOrInsufficientPermissions = 99,		 /* The method requires user authentication but the user was not logged in, or the authenticated method call did not have the required permissions. */
	FKFlickrGroupsPoolsRemoveError_InvalidAPIKey = 100,		 /* The API key passed was not valid or has expired. */
	FKFlickrGroupsPoolsRemoveError_ServiceCurrentlyUnavailable = 105,		 /* The requested service is temporarily unavailable. */
	FKFlickrGroupsPoolsRemoveError_WriteOperationFailed = 106,		 /* The requested operation failed due to a temporary issue. */
	FKFlickrGroupsPoolsRemoveError_FormatXXXNotFound = 111,		 /* The requested response format was not found. */
	FKFlickrGroupsPoolsRemoveError_MethodXXXNotFound = 112,		 /* The requested method was not found. */
	FKFlickrGroupsPoolsRemoveError_InvalidSOAPEnvelope = 114,		 /* The SOAP envelope send in the request could not be parsed. */
	FKFlickrGroupsPoolsRemoveError_InvalidXMLRPCMethodCall = 115,		 /* The XML-RPC request document could not be parsed. */
	FKFlickrGroupsPoolsRemoveError_BadURLFound = 116,		 /* One or more arguments contained a URL that has been used for abuse on Flickr. */

};

/*

Remove a photo from a group pool.




*/
@interface FKFlickrGroupsPoolsRemove : NSObject <FKFlickrAPIMethod>

/* The id of the photo to remove from the group pool. The photo must either be owned by the calling user of the calling user must be an administrator of the group. */
@property (nonatomic, copy) NSString *photo_id; /* (Required) */

/* The NSID of the group who's pool the photo is to removed from. */
@property (nonatomic, copy) NSString *group_id; /* (Required) */


@end
