//
//  FKFlickrPhotosSetSafetyLevel.m
//  FlickrKit
//
//  Generated by FKAPIBuilder.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrPhotosSetSafetyLevel.h" 

@implementation FKFlickrPhotosSetSafetyLevel



- (BOOL) needsLogin {
    return YES;
}

- (BOOL) needsSigning {
    return YES;
}

- (FKPermission) requiredPerms {
    return 1;
}

- (NSString *) name {
    return @"flickr.photos.setSafetyLevel";
}

- (BOOL) isValid:(NSError **)error {
    BOOL valid = YES;
	NSMutableString *errorDescription = [[NSMutableString alloc] initWithString:@"You are missing required params: "];
	if(!self.photo_id) {
		valid = NO;
		[errorDescription appendString:@"'photo_id', "];
	}

	if(error != NULL) {
		if(!valid) {	
			NSDictionary *userInfo = @{NSLocalizedDescriptionKey: errorDescription};
			*error = [NSError errorWithDomain:FKFlickrKitErrorDomain code:FKErrorInvalidArgs userInfo:userInfo];
		}
	}
    return valid;
}

- (NSDictionary *) args {
    NSMutableDictionary *args = [NSMutableDictionary dictionary];
	if(self.photo_id) {
		[args setValue:self.photo_id forKey:@"photo_id"];
	}
	if(self.safety_level) {
		[args setValue:self.safety_level forKey:@"safety_level"];
	}
	if(self.hidden) {
		[args setValue:self.hidden forKey:@"hidden"];
	}

    return [args copy];
}

- (NSString *) descriptionForError:(NSInteger)error {
    switch(error) {
		case FKFlickrPhotosSetSafetyLevelError_PhotoNotFound:
			return @"Photo not found";
		case FKFlickrPhotosSetSafetyLevelError_InvalidOrMissingArguments:
			return @"Invalid or missing arguments";
		case FKFlickrPhotosSetSafetyLevelError_ChangeNotAllowed:
			return @"Change not allowed";
		case FKFlickrPhotosSetSafetyLevelError_SSLIsRequired:
			return @"SSL is required";
		case FKFlickrPhotosSetSafetyLevelError_InvalidSignature:
			return @"Invalid signature";
		case FKFlickrPhotosSetSafetyLevelError_MissingSignature:
			return @"Missing signature";
		case FKFlickrPhotosSetSafetyLevelError_LoginFailedOrInvalidAuthToken:
			return @"Login failed / Invalid auth token";
		case FKFlickrPhotosSetSafetyLevelError_UserNotLoggedInOrInsufficientPermissions:
			return @"User not logged in / Insufficient permissions";
		case FKFlickrPhotosSetSafetyLevelError_InvalidAPIKey:
			return @"Invalid API Key";
		case FKFlickrPhotosSetSafetyLevelError_ServiceCurrentlyUnavailable:
			return @"Service currently unavailable";
		case FKFlickrPhotosSetSafetyLevelError_WriteOperationFailed:
			return @"Write operation failed";
		case FKFlickrPhotosSetSafetyLevelError_FormatXXXNotFound:
			return @"Format \"xxx\" not found";
		case FKFlickrPhotosSetSafetyLevelError_MethodXXXNotFound:
			return @"Method \"xxx\" not found";
		case FKFlickrPhotosSetSafetyLevelError_InvalidSOAPEnvelope:
			return @"Invalid SOAP envelope";
		case FKFlickrPhotosSetSafetyLevelError_InvalidXMLRPCMethodCall:
			return @"Invalid XML-RPC Method Call";
		case FKFlickrPhotosSetSafetyLevelError_BadURLFound:
			return @"Bad URL found";
  
		default:
			return @"Unknown error code";
    }
}

@end
