//
//  FKFlickrPhotosGeoCorrectLocation.m
//  FlickrKit
//
//  Generated by FKAPIBuilder.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrPhotosGeoCorrectLocation.h" 

@implementation FKFlickrPhotosGeoCorrectLocation



- (BOOL) needsLogin {
    return YES;
}

- (BOOL) needsSigning {
    return YES;
}

- (FKPermission) requiredPerms {
    return 1;
}

- (NSString *) name {
    return @"flickr.photos.geo.correctLocation";
}

- (BOOL) isValid:(NSError **)error {
    BOOL valid = YES;
	NSMutableString *errorDescription = [[NSMutableString alloc] initWithString:@"You are missing required params: "];
	if(!self.photo_id) {
		valid = NO;
		[errorDescription appendString:@"'photo_id', "];
	}
	if(!self.foursquare_id) {
		valid = NO;
		[errorDescription appendString:@"'foursquare_id', "];
	}

	if(error != NULL) {
		if(!valid) {	
			NSDictionary *userInfo = @{NSLocalizedDescriptionKey: errorDescription};
			*error = [NSError errorWithDomain:FKFlickrKitErrorDomain code:FKErrorInvalidArgs userInfo:userInfo];
		}
	}
    return valid;
}

- (NSDictionary *) args {
    NSMutableDictionary *args = [NSMutableDictionary dictionary];
	if(self.photo_id) {
		[args setValue:self.photo_id forKey:@"photo_id"];
	}
	if(self.place_id) {
		[args setValue:self.place_id forKey:@"place_id"];
	}
	if(self.woe_id) {
		[args setValue:self.woe_id forKey:@"woe_id"];
	}
	if(self.foursquare_id) {
		[args setValue:self.foursquare_id forKey:@"foursquare_id"];
	}

    return [args copy];
}

- (NSString *) descriptionForError:(NSInteger)error {
    switch(error) {
		case FKFlickrPhotosGeoCorrectLocationError_UserHasNotConfiguredDefaultViewingSettingsForLocationData:
			return @"User has not configured default viewing settings for location data.";
		case FKFlickrPhotosGeoCorrectLocationError_MissingPlaceID:
			return @"Missing place ID";
		case FKFlickrPhotosGeoCorrectLocationError_NotAValidPlaceID:
			return @"Not a valid place ID";
		case FKFlickrPhotosGeoCorrectLocationError_ServerErrorCorrectingLocation:
			return @"Server error correcting location.";
		case FKFlickrPhotosGeoCorrectLocationError_SSLIsRequired:
			return @"SSL is required";
		case FKFlickrPhotosGeoCorrectLocationError_InvalidSignature:
			return @"Invalid signature";
		case FKFlickrPhotosGeoCorrectLocationError_MissingSignature:
			return @"Missing signature";
		case FKFlickrPhotosGeoCorrectLocationError_LoginFailedOrInvalidAuthToken:
			return @"Login failed / Invalid auth token";
		case FKFlickrPhotosGeoCorrectLocationError_UserNotLoggedInOrInsufficientPermissions:
			return @"User not logged in / Insufficient permissions";
		case FKFlickrPhotosGeoCorrectLocationError_InvalidAPIKey:
			return @"Invalid API Key";
		case FKFlickrPhotosGeoCorrectLocationError_ServiceCurrentlyUnavailable:
			return @"Service currently unavailable";
		case FKFlickrPhotosGeoCorrectLocationError_WriteOperationFailed:
			return @"Write operation failed";
		case FKFlickrPhotosGeoCorrectLocationError_FormatXXXNotFound:
			return @"Format \"xxx\" not found";
		case FKFlickrPhotosGeoCorrectLocationError_MethodXXXNotFound:
			return @"Method \"xxx\" not found";
		case FKFlickrPhotosGeoCorrectLocationError_InvalidSOAPEnvelope:
			return @"Invalid SOAP envelope";
		case FKFlickrPhotosGeoCorrectLocationError_InvalidXMLRPCMethodCall:
			return @"Invalid XML-RPC Method Call";
		case FKFlickrPhotosGeoCorrectLocationError_BadURLFound:
			return @"Bad URL found";
  
		default:
			return @"Unknown error code";
    }
}

@end
