//
//  FKFlickrPhotosTransformRotate.h
//  FlickrKit
//
//  Generated by FKAPIBuilder.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrAPIMethod.h"

typedef NS_ENUM(NSInteger, FKFlickrPhotosTransformRotateError) {
	FKFlickrPhotosTransformRotateError_PhotoNotFound = 1,		 /* The photo id was invalid or did not belong to the calling user. */
	FKFlickrPhotosTransformRotateError_InvalidRotation = 2,		 /* The rotation degrees were an invalid value. */
	FKFlickrPhotosTransformRotateError_TemporaryFailure = 3,		 /* There was a problem either rotating the image or storing the rotated versions. */
	FKFlickrPhotosTransformRotateError_RotationDisabled = 4,		 /* The rotation service is currently disabled. */
	FKFlickrPhotosTransformRotateError_SSLIsRequired = 95,		 /* SSL is required to access the Flickr API. */
	FKFlickrPhotosTransformRotateError_InvalidSignature = 96,		 /* The passed signature was invalid. */
	FKFlickrPhotosTransformRotateError_MissingSignature = 97,		 /* The call required signing but no signature was sent. */
	FKFlickrPhotosTransformRotateError_LoginFailedOrInvalidAuthToken = 98,		 /* The login details or auth token passed were invalid. */
	FKFlickrPhotosTransformRotateError_UserNotLoggedInOrInsufficientPermissions = 99,		 /* The method requires user authentication but the user was not logged in, or the authenticated method call did not have the required permissions. */
	FKFlickrPhotosTransformRotateError_InvalidAPIKey = 100,		 /* The API key passed was not valid or has expired. */
	FKFlickrPhotosTransformRotateError_ServiceCurrentlyUnavailable = 105,		 /* The requested service is temporarily unavailable. */
	FKFlickrPhotosTransformRotateError_WriteOperationFailed = 106,		 /* The requested operation failed due to a temporary issue. */
	FKFlickrPhotosTransformRotateError_FormatXXXNotFound = 111,		 /* The requested response format was not found. */
	FKFlickrPhotosTransformRotateError_MethodXXXNotFound = 112,		 /* The requested method was not found. */
	FKFlickrPhotosTransformRotateError_InvalidSOAPEnvelope = 114,		 /* The SOAP envelope send in the request could not be parsed. */
	FKFlickrPhotosTransformRotateError_InvalidXMLRPCMethodCall = 115,		 /* The XML-RPC request document could not be parsed. */
	FKFlickrPhotosTransformRotateError_BadURLFound = 116,		 /* One or more arguments contained a URL that has been used for abuse on Flickr. */

};

/*

Rotate a photo.


Response:

<photoid secret="abcdef" originalsecret="abcdef">1234</photoid>

*/
@interface FKFlickrPhotosTransformRotate : NSObject <FKFlickrAPIMethod>

/* The id of the photo to rotate. */
@property (nonatomic, copy) NSString *photo_id; /* (Required) */

/* The amount of degrees by which to rotate the photo (clockwise) from it's current orientation. Valid values are 90, 180 and 270. */
@property (nonatomic, copy) NSString *degrees; /* (Required) */


@end
