//
//  FKFlickrStatsGetCollectionStats.m
//  FlickrKit
//
//  Generated by FKAPIBuilder.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrStatsGetCollectionStats.h" 

@implementation FKFlickrStatsGetCollectionStats



- (BOOL) needsLogin {
    return YES;
}

- (BOOL) needsSigning {
    return YES;
}

- (FKPermission) requiredPerms {
    return 0;
}

- (NSString *) name {
    return @"flickr.stats.getCollectionStats";
}

- (BOOL) isValid:(NSError **)error {
    BOOL valid = YES;
	NSMutableString *errorDescription = [[NSMutableString alloc] initWithString:@"You are missing required params: "];
	if(!self.date) {
		valid = NO;
		[errorDescription appendString:@"'date', "];
	}
	if(!self.collection_id) {
		valid = NO;
		[errorDescription appendString:@"'collection_id', "];
	}

	if(error != NULL) {
		if(!valid) {	
			NSDictionary *userInfo = @{NSLocalizedDescriptionKey: errorDescription};
			*error = [NSError errorWithDomain:FKFlickrKitErrorDomain code:FKErrorInvalidArgs userInfo:userInfo];
		}
	}
    return valid;
}

- (NSDictionary *) args {
    NSMutableDictionary *args = [NSMutableDictionary dictionary];
	if(self.date) {
		[args setValue:self.date forKey:@"date"];
	}
	if(self.collection_id) {
		[args setValue:self.collection_id forKey:@"collection_id"];
	}

    return [args copy];
}

- (NSString *) descriptionForError:(NSInteger)error {
    switch(error) {
		case FKFlickrStatsGetCollectionStatsError_UserDoesNotHaveStats:
			return @"User does not have stats";
		case FKFlickrStatsGetCollectionStatsError_NoStatsForThatDate:
			return @"No stats for that date";
		case FKFlickrStatsGetCollectionStatsError_InvalidDate:
			return @"Invalid date";
		case FKFlickrStatsGetCollectionStatsError_CollectionNotFound:
			return @"Collection not found";
		case FKFlickrStatsGetCollectionStatsError_SSLIsRequired:
			return @"SSL is required";
		case FKFlickrStatsGetCollectionStatsError_InvalidSignature:
			return @"Invalid signature";
		case FKFlickrStatsGetCollectionStatsError_MissingSignature:
			return @"Missing signature";
		case FKFlickrStatsGetCollectionStatsError_LoginFailedOrInvalidAuthToken:
			return @"Login failed / Invalid auth token";
		case FKFlickrStatsGetCollectionStatsError_UserNotLoggedInOrInsufficientPermissions:
			return @"User not logged in / Insufficient permissions";
		case FKFlickrStatsGetCollectionStatsError_InvalidAPIKey:
			return @"Invalid API Key";
		case FKFlickrStatsGetCollectionStatsError_ServiceCurrentlyUnavailable:
			return @"Service currently unavailable";
		case FKFlickrStatsGetCollectionStatsError_WriteOperationFailed:
			return @"Write operation failed";
		case FKFlickrStatsGetCollectionStatsError_FormatXXXNotFound:
			return @"Format \"xxx\" not found";
		case FKFlickrStatsGetCollectionStatsError_MethodXXXNotFound:
			return @"Method \"xxx\" not found";
		case FKFlickrStatsGetCollectionStatsError_InvalidSOAPEnvelope:
			return @"Invalid SOAP envelope";
		case FKFlickrStatsGetCollectionStatsError_InvalidXMLRPCMethodCall:
			return @"Invalid XML-RPC Method Call";
		case FKFlickrStatsGetCollectionStatsError_BadURLFound:
			return @"Bad URL found";
  
		default:
			return @"Unknown error code";
    }
}

@end
