//
//  FKFlickrStatsGetTotalViews.h
//  FlickrKit
//
//  Generated by FKAPIBuilder.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrAPIMethod.h"

typedef NS_ENUM(NSInteger, FKFlickrStatsGetTotalViewsError) {
	FKFlickrStatsGetTotalViewsError_UserDoesNotHaveStats = 1,		 /* The user you have requested stats has not enabled stats on their account. */
	FKFlickrStatsGetTotalViewsError_NoStatsForThatDate = 2,		 /* No stats are available for the date requested. Flickr only keeps stats data for the last 28 days. */
	FKFlickrStatsGetTotalViewsError_InvalidDate = 3,		 /* The date provided could not be parsed */
	FKFlickrStatsGetTotalViewsError_SSLIsRequired = 95,		 /* SSL is required to access the Flickr API. */
	FKFlickrStatsGetTotalViewsError_InvalidSignature = 96,		 /* The passed signature was invalid. */
	FKFlickrStatsGetTotalViewsError_MissingSignature = 97,		 /* The call required signing but no signature was sent. */
	FKFlickrStatsGetTotalViewsError_LoginFailedOrInvalidAuthToken = 98,		 /* The login details or auth token passed were invalid. */
	FKFlickrStatsGetTotalViewsError_UserNotLoggedInOrInsufficientPermissions = 99,		 /* The method requires user authentication but the user was not logged in, or the authenticated method call did not have the required permissions. */
	FKFlickrStatsGetTotalViewsError_InvalidAPIKey = 100,		 /* The API key passed was not valid or has expired. */
	FKFlickrStatsGetTotalViewsError_ServiceCurrentlyUnavailable = 105,		 /* The requested service is temporarily unavailable. */
	FKFlickrStatsGetTotalViewsError_WriteOperationFailed = 106,		 /* The requested operation failed due to a temporary issue. */
	FKFlickrStatsGetTotalViewsError_FormatXXXNotFound = 111,		 /* The requested response format was not found. */
	FKFlickrStatsGetTotalViewsError_MethodXXXNotFound = 112,		 /* The requested method was not found. */
	FKFlickrStatsGetTotalViewsError_InvalidSOAPEnvelope = 114,		 /* The SOAP envelope send in the request could not be parsed. */
	FKFlickrStatsGetTotalViewsError_InvalidXMLRPCMethodCall = 115,		 /* The XML-RPC request document could not be parsed. */
	FKFlickrStatsGetTotalViewsError_BadURLFound = 116,		 /* One or more arguments contained a URL that has been used for abuse on Flickr. */

};

/*

Get the overall view counts for an account


Response:

<stats>
	<total views="469" />
	<photos views="386" />
	<photostream views="72" />
	<sets views="11" />
	<collections views="0" />
</stats>

*/
@interface FKFlickrStatsGetTotalViews : NSObject <FKFlickrAPIMethod>

/* Stats will be returned for this date. This should be in either be in YYYY-MM-DD or unix timestamp format.

A day according to Flickr Stats starts at midnight GMT for all users, and timestamps will automatically be rounded down to the start of the day.

If no date is provided, all time view counts will be returned. */
@property (nonatomic, copy) NSString *date;


@end
